This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 215988 - Cannot mount NFSv3 with nfs-utils-1.0.10-1.fc6
Cannot mount NFSv3 with nfs-utils-1.0.10-1.fc6
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 13:29 EST by Jeff Bastian
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.10-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-16 16:58:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2006-11-16 13:29:33 EST
Description of problem:
I applied the latest updates to one of my FC6 systems yesterday and now I cannot
mount anything.  After some experimenting, I found the mount command claims
NFSv3 is not supported:
   # mount -t nfs -o proto=tcp,vers=3 server:/some/dir /mnt
   NFS version 3 is not supported.
   #

However, going directly to mount.nfs works fine:
   # mount.nfs server:/some/dir /mnt -t 3 -o proto=tcp,vers=3
   # 

My other FC6 system still has nfs-utils-1.0.9-8.fc6 and everything works fine on it.


Version-Release number of selected component (if applicable):
nfs-utils-1.0.10-1.fc6

How reproducible:
Every time

Steps to Reproduce:
1. Try to mount with options proto=tcp,vers=3
2. Note error message
3. Try to mount with mount.nfs command and it works
  
Actual results:
mount fails with an error message claiming NFS version 3 is not supported

Expected results:
The mount should work

Additional info:
Comment 1 Steve Dickson 2006-11-16 16:42:47 EST
yum update nfs-utils to nfs-utils-1.0.10-3 should fix the problem

Comment 2 Jeff Bastian 2006-11-16 16:58:23 EST
That worked!  Thanks!  Closing BZ.

Jeff

Note You need to log in before you can comment on or make changes to this bug.